summaryrefslogtreecommitdiff
path: root/system/kmod/kmod-static-nodes.initd
diff options
context:
space:
mode:
Diffstat (limited to 'system/kmod/kmod-static-nodes.initd')
-rw-r--r--system/kmod/kmod-static-nodes.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/system/kmod/kmod-static-nodes.initd b/system/kmod/kmod-static-nodes.initd
new file mode 100644
index 000000000..ef8912f60
--- /dev/null
+++ b/system/kmod/kmod-static-nodes.initd
@@ -0,0 +1,19 @@
+#!/sbin/openrc-run
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/kmod/files/kmod-static-nodes-r1,v 1.1 2014/07/11 12:28:07 ssuominen Exp $
+
+description="Create list of required static device nodes for the current kernel"
+
+depend() {
+ after dev-mount
+ before tmpfiles.dev dev
+ keyword -lxc
+}
+
+start() {
+ ebegin "Creating list of required static device nodes for the current kernel"
+ checkpath -q -d /run/tmpfiles.d
+ kmod static-nodes --format=tmpfiles --output=/run/tmpfiles.d/kmod.conf
+ eend $?
+}